TREC 2001 VideoTrack: Known-Items Task Evaluation: Class Segmentation

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Segmentation

    java.lang.Object
      |
      +--Segmentation

Direct Known Subclasses:
  RefSegmentation, SysSegmentation

public abstract class Segmentation
extends java.lang.Object

This class represents a segmentation in items of video file and used in known-items task programs of TREC 2001. Not the entire video is represented in a segmentation, the term of segmentation is used for convenience, but it's just a bunch of items of the same video that need to be processed together cause result of one particular system for one particular topic.

Field Summary
`protected int` | `droppedOut` This is just the number of dropped out items for cause of duplicate in results.
`protected java.util.TreeSet` | `itemSet` This object is containing all items of the video.
`protected java.lang.String` | `topicNumber` This is the topic number for the one the results (items) has been founded.

Constructor Summary
`Segmentation()`

Method Summary
`void` | `add(Item t)` Add a given item to the segmentation.
`boolean` | `contains(java.lang.Object o)`
`int` | `getDroppedOut()` Gets the number of dropped out duplicate items.
`java.util.Iterator` | `getElements()` Returns an iterator on the items of the segmentation.
`int` | `getItemCount()` Returns the number of items of the segmentation.
`java.lang.String` | `getTopicNumber()` Gets the topic number.
`java.lang.String` | `toString()` Returns a simple string representing the items of the segmentation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### itemSet

    protected java.util.TreeSet itemSet

  This object is containing all items of the video.

### topicNumber

    protected java.lang.String topicNumber

  This is the topic number for the one the results (items) has been founded.

### droppedOut

    protected int droppedOut

  This is just the number of dropped out items for cause of duplicate in results.

Constructor Detail

### Segmentation

    public Segmentation()

Method Detail

### getElements

    public java.util.Iterator getElements()

  Returns an iterator on the items of the segmentation.
  Returns:
    an iterator on the items of the segmentation.

### add

    public void add(Item t)

  Add a given item to the segmentation. Update "droppedOut" if it is a duplicate (according to the Comparator).
  Parameters:
    `t` - the item to be added to the segmentation.

### contains

    public boolean contains(java.lang.Object o)

### getItemCount

    public int getItemCount()

  Returns the number of items of the segmentation.
  Returns:
    Number of items of the segmentation.

### getTopicNumber

    public java.lang.String getTopicNumber()

  Gets the topic number.
  Returns:
    The topic number.

### getDroppedOut

    public int getDroppedOut()

  Gets the number of dropped out duplicate items.
  Returns:
    The number of dropped out duplicate items.

### toString

    public java.lang.String toString()

  Returns a simple string representing the items of the segmentation.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a simple string representing the items of the segmentation.

Class | Tree | Deprecated | Index | Help
| Known-Items Task Evaluation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For information over@nist.gov or rtaban@nist.gov